Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar

From: Alan Third <[email-masked]>
Date: Mon, 22 Feb 2021 18:24:08 +0000

On Mon, Feb 22, 2021 at 12:45:13PM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> PS: interestingly, it happens both on My MacBook Pro (10.13) and my Macbook Air (10.15)… My configure is:
> 
> ./autogen.sh
> ./configure --without-x --with-ns --with-modules \
>  --with-xpm --with-jpeg \
>  --enable-silent-rules \
>  PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
>  LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include" \
>  CC=clang OBJC=clang CFLAGS="-g -O2”
> 
> From a clean git clone. I use macholib to create the standalone.

Does it make any difference if you just do

    ./configure

without all the rest? (Do you use Homebrew?)

Can you please comment out the call to redisplay in nsterm.m at around
line 8502 and try again? I expect this will completely fix it.
-- 
Alan Third